For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTAttach a file to contract
      • GETGet worker invite link
      • GETPreview a contract agreement
      • DELRemove invite
      • GETRetrieve contractor payment dates
      • POSTSend contract to worker
      • POSTSign a contract
LogoLogo
SupportDeel Home
EndpointsContractor Hiring

Retrieve contractor payment dates

GET
/contracts/:contract_id/payment_cycles
GET
/rest/v2/contracts/:contract_id/payment_cycles
$curl https://api.letsdeel.com/rest/v2/contracts/contract_id/payment_cycles \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "status": "upcoming",
6 "due_date": "2024-12-07T04:59:59.999Z"
7 },
8 {
9 "id": "223e4567-e89b-12d3-a456-426614174001",
10 "status": "active",
11 "due_date": "2024-12-01T04:59:59.999Z"
12 }
13 ]
14}

Fetches the scheduled payment dates and current status of each payment cycle for a specific contract. Token scopes: contracts:read

Was this page helpful?
Previous

Send contract to worker

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The Deel contract ID for which payment dates are being retrieved.

Response

A successful response containing contractor payment dates.
datalist of objects

Errors

401
Unauthorized Error
403
Forbidden Error